WordPress.org

Ready to get started?Download WordPress

Plugin Directory

OneScreen Toolkit for WordPress

Easy-to-use plugin to manage your OneScreen account within WordPress and to publish video applications on your WordPress Site

What is OneScreen?

OneScreen provides a network for video stakeholders to connect with each other, a platform to manage video initiatives, and a marketplace to transact.

Users can log in to the OneScreen to access a full suite of technologies to manage video.

Where Do I Sign up for a OneScreen Account?

http://www.onescreen.com/?network=wp-toolkit

How do I post my Video Player/Application that I created in the OneScreen?

Posting a video player is simply done through shortcodes.

Shortcode to post/embed a specific player application:

[onescreen widget_id="9438-6b15da674037f0822f2fe6e630ef56e7"]

Shortcode to post/embed your default player application:

[onescreen]

Is it possible to override properties in the player application?

Yes, it is possible. The following are additional shortcodes to override set properties of the player application:

Override the playlist that is set and play only a single video

[onescreen item="5075194"]

Override the width or height of the player:

[onescreen width="300"]
[onescreen height="250"]

Override the autoPlay setting:

[onescreen autoPlay="false"]

Override the default onescreen script

[onescreen apps_js="2.0"]

List of currently available properties that can be overridden include:

  • item
  • widget_id
  • target_div
  • custom_render_css
  • custom_render_script
  • force_html5
  • playlist_id
  • app_id (replaces widget_id, but still backwards compatible with widget_id)
  • playback_priority
  • apps_js (either 1.9 or 2.0)

For the full detailed list of integrated player properties, please visit: http://share.onescreen.co/resources/HelpDocuments/playerdoc/propertiesandevents.html

For additional shortcode examples, please visit: http://share.onescreen.co/resources/HelpDocuments/wordpressdoc/wordpressplugin.html#embedding

Requires: 3.3 (lowest version plugin will work on) or higher
Compatible up to: 3.7.1
Last Updated: 2014-6-11
Downloads: 682

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1